{
    onUpdate(pokemon) {
        if (pokemon.volatiles["attract"]) {
            this.add("-activate", pokemon, "ability: Oblivious");
            pokemon.removeVolatile("attract");
            this.add("-end", pokemon, "move: Attract", "[from] ability: Oblivious");
        }
        if (pokemon.volatiles["taunt"]) {
            this.add("-activate", pokemon, "ability: Oblivious");
            pokemon.removeVolatile("taunt");
        }
    },
    onImmunity(type, pokemon) {
        if (type === "attract")
            return false;
    },
    onTryHit(pokemon, target, move) {
        if (move.id === "attract" || move.id === "captivate" || move.id === "taunt" || move.id === "partingshot") {
            this.add("-immune", pokemon, "[from] ability: Oblivious");
            return null;
        }
    },
    onTryBoost(boost, target, source, effect) {
        if (effect.name === "Intimidate" && boost.atk) {
            delete boost.atk;
            this.add("-fail", target, "unboost", "Attack", "[from] ability: Oblivious", "[of] " + target);
        }
    },
    flags: { breakable: 1 },
    name: "Oblivious",
    rating: 1.5,
    num: 12
}
